<?php 
session_start();
require_once "../modelos/Empresas.php";

$empresa=new Empresa();

$idempresa									=	isset($_POST["idempresa6"])? limpiarCadena($_POST["idempresa6"]):"";
$idempresa1									=	isset($_POST["idempresa6"])? limpiarCadena($_POST["idempresa6"]):"";
$idempresa2									=	isset($_POST["idempresa2"])? limpiarCadena($_POST["idempresa2"]):"";
$idempresa3									=	isset($_POST["idempresa3"])? limpiarCadena($_POST["idempresa3"]):"";
$idempresa5									=	isset($_POST["idempresa5"])? limpiarCadena($_POST["idempresa5"]):"";
$idempresa6									=	isset($_POST["idempresa6"])? limpiarCadena($_POST["idempresa6"]):"";
$idempresa_venta						=	isset($_POST["idempresa_ventas"])? limpiarCadena($_POST["idempresa_ventas"]):"";
$idempresa_tasacambio				=	isset($_POST["idempresa_tasacambio"])? limpiarCadena($_POST["idempresa_tasacambio"]):"";
$idempresa_impuesto					=	isset($_POST["idempresa_impuesto"])? limpiarCadena($_POST["idempresa_impuesto"]):"";
$idempresa_datosadicionales	=	isset($_POST["idempresa_datosadicionales"])? limpiarCadena($_POST["idempresa_datosadicionales"]):"";
$nombre											=	isset($_POST["nombres"])? limpiarCadena($_POST["nombres"]):"";
$tipo_documento							=	isset($_POST["tipo_documentos"])? limpiarCadena($_POST["tipo_documentos"]):"";
$num_documento							=	isset($_POST["num_documentos"])? limpiarCadena($_POST["num_documentos"]):"";
$direccion									=	isset($_POST["direccions"])? limpiarCadena($_POST["direccions"]):"";
$telefono										=	isset($_POST["telefonos"])? limpiarCadena($_POST["telefonos"]):"";
$email											=	isset($_POST["emails"])? limpiarCadena($_POST["emails"]):"";
$nrofactura									=	isset($_POST["num_facturas"])? limpiarCadena($_POST["num_facturas"]):"";
$nrocontrol									=	isset($_POST["num_controls"])? limpiarCadena($_POST["num_controls"]):"";
$nropedido									=	isset($_POST["num_pedidos"])? limpiarCadena($_POST["num_pedidos"]):"";
$nronotacredito							=	isset($_POST["num_notacreditos"])? limpiarCadena($_POST["num_notacreditos"]):"";
$nrocontrolnotacredito			=	isset($_POST["numcontrol_notacreditos"])? limpiarCadena($_POST["numcontrol_notacreditos"]):"";
$nronotaentrega							=	isset($_POST["num_notaentregas"])? limpiarCadena($_POST["num_notaentregas"]):"";
$nrocontrolnotaentrega			=	isset($_POST["numcontrol_notaentregas"])? limpiarCadena($_POST["numcontrol_notaentregas"]):"";
$nronotaentrega2						=	isset($_POST["num_notaentrega2s"])? limpiarCadena($_POST["num_notaentrega2s"]):"";
$nrocontrolnotaentrega2			=	isset($_POST["numcontrol_notaentrega2s"])? limpiarCadena($_POST["numcontrol_notaentrega2s"]):"";
$imagen											=	isset($_POST["imagens"])? limpiarCadena($_POST["imagens"]):"";
$tasa_dollar								=	isset($_POST["tasa_dollars"])? limpiarCadena($_POST["tasa_dollars"]):"";
$tasa_euro									=	isset($_POST["tasa_euros"])? limpiarCadena($_POST["tasa_euros"]):"";
$iva												=	isset($_POST["ivas"])? limpiarCadena($_POST["ivas"]):"";
$aduanero										=	isset($_POST["aduaneros"])? limpiarCadena($_POST["aduaneros"]):"";
$impuestoart18							=	isset($_POST["impuestoart18s"])? limpiarCadena($_POST["impuestoart18s"]):"";
$porcentajeprecio						=	isset($_POST["porcentajeprecios"])? limpiarCadena($_POST["porcentajeprecios"]):"";
$paisdeorigen								=	isset($_POST["paisdeorigens"])? limpiarCadena($_POST["paisdeorigens"]):"";
$licenciadelicor						=	isset($_POST["licenciadelicors"])? limpiarCadena($_POST["licenciadelicors"]):"";
$idusuario									=	isset($_POST["idusuarios"])? limpiarCadena($_POST["idusuarios"]):"";
$idusuario2									=	isset($_POST["idusuario2s"])? limpiarCadena($_POST["idusuario2s"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':

		/* if (!file_exists($_FILES['imagen']['tmp_name'])|| !is_uploaded_file($_FILES['imagen']['tmp_name'])) {
			$imagen=$_POST["imagenactual"];
		}else{
			$ext=explode(".", $_FILES["imagen"]["name"]);
			if ($_FILES['imagen']['type']=="image/jpg" || $_FILES['imagen']['type']=="image/jpeg" || $_FILES['imagen']['type']=="image/png") {
				$imagen=round(microtime(true)).'.'. end($ext);
				move_uploaded_file($_FILES["imagen"]["tmp_name"], "../files/empresas/".$imagen);
			}
		} */

		if (empty($idempresa)) {
			$rspta=$empresa->insertar($nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$imagen,$licenciadelicor);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar($idempresa,$nombre,$tipo_documento,$num_documento,$direccion,$telefono,$email,$imagen,$licenciadelicor);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	
	case 'guardaryeditarVenta':
		if (empty($idempresa_venta)) {
			$rspta=$empresa->insertar_venta($idempresa1,$nrofactura,$nrocontrol,$nropedido,$nronotacredito,$nrocontrolnotacredito,$nronotaentrega,$nrocontrolnotaentrega,$nronotaentrega2,$nrocontrolnotaentrega2,$idusuario,$idusuario2);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar_venta($idempresa_venta,$idempresa1,$nrofactura,$nrocontrol,$nropedido,$nronotacredito,$nrocontrolnotacredito,$nronotaentrega,$nrocontrolnotaentrega,$nronotaentrega2,$nrocontrolnotaentrega2,$idusuario,$idusuario2);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;
	
	case 'guardaryeditarTasa':
		if (empty($idempresa_tasacambio)) {
			$rspta=$empresa->insertar_tasacambio($idempresa2,$tasa_dollar,$tasa_euro);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar_tasacambio($idempresa_tasacambio,$idempresa2,$tasa_dollar,$tasa_euro);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

	case 'guardaryeditarDatosadicional':
		if (empty($idempresa_datosadicionales)) {
			$rspta=$empresa->insertar_datosadicionales($idempresa5,$paisdeorigen);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar__datosadicionales($idempresa_datosadicionales,$idempresa5,$paisdeorigen);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;

	case 'guardaryeditarImpuesto':
		if (empty($idempresa_impuesto)) {
			$rspta=$empresa->insertar_impuesto($idempresa3,$iva,$aduanero,$impuestoart18,$porcentajeprecio);
			echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar todos los datos del empresa";
		}else{
			$rspta=$empresa->editar_impuesto($idempresa_impuesto,$idempresa3,$iva,$aduanero,$impuestoart18,$porcentajeprecio);
			echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
		}
	break;


	case 'desactivar':
		$rspta	=$empresa->desactivar($idempresa);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta	=$empresa->activar($idempresa);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;

	case 'buscarNroFacturaControl':
		$rspta	=$empresa->buscarNroFacturaControl($idempresa_venta);
		echo json_encode($rspta);
	break;

	case 'buscarTasaDeCambio':
		$rspta	=$empresa->buscarTasaDeCambio($idempresa_venta);
		echo json_encode($rspta);
	break;

	case 'buscarImpuestoArt18':
		$rspta	=$empresa->buscarImpuestoArt18($idempresa_venta);
		echo json_encode($rspta);
	break;
	
	case 'buscarempresa1':
		$rspta	=$empresa->buscarempresa1();
		echo json_encode($rspta);
	break;

	case 'buscarEmpresa':
		$rspta		=$empresa->buscarempresa();
		$verificado	=0;
		$fetch		=$rspta->fetch_object();
		if (isset($fetch)) {
			$verificado=1;
		}
		echo $verificado;
	break;

	case 'buscarusuariosucursal':
		$rspta	=$empresa->buscarusuariosucursal($idempresa_venta,$idusuario);
		echo json_encode($rspta);
	break;

	case 'ActualizarNroFacturaControl':
		$rspta=$empresa->ActualizarNroFacturaControl($idempresa_venta,$nrofactura,$nrocontrol);
		echo json_encode($rspta);
	break;

	case 'ActualizarPrecio':
		$rspta=$empresa->ActualizarPrecio($tasa_dollar);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	break;

	case 'ActualizarCosto':
		$rspta=$empresa->ActualizarCosto($tasa_dollar);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	break;

	case 'ActualizarArt18':
		$rspta=$empresa->ActualizarArt18($tasa_dollar);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	break;

	case 'ActualizarTodo':
		$rspta=$empresa->ActualizarTodo($tasa_dollar);
		echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
	break;
		

	case 'mostrar':
		$rspta=$empresa->mostrar($idempresa);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta=$empresa->listar();
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
				"0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idempresa.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idempresa.')"><i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" onclick="mostrar('.$reg->idempresa.')"><i class="fa fa-pencil"></i></button>'.' '.'<button class="btn btn-primary btn-xs" onclick="activar('.$reg->idempresa.')"><i class="fa fa-check"></i></button>',
				"1"=>$reg->nombre,
				"2"=>$reg->tipo_documento,
				"3"=>$reg->num_documento,
				"4"=>$reg->telefono,
				"5"=>$reg->email,
				"6"=>"<img src='files/empresas/".$reg->imagen."' height='50px' width='50px'>",
				"7"=>($reg->condicion)?'<span class="badge bg-green">Activado</span>':'<span class="badge bg-red">Desactivado</span>'
			);
		}

		$results=array(
				"sEcho"=>1,//info para datatables
				"iTotalRecords"=>count($data),//enviamos el total de registros al datatable
				"iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
				"aaData"=>$data); 
		echo json_encode($results);
	break;
	
}
?>

